summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/58-create-tails-website-CA-bundle
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2015-01-04 13:36:02 +0000
committerTails developers <amnesia@boum.org>2015-01-04 13:36:02 +0000
commitbd91b8a2704f945f9ee094cb91162df90ce78534 (patch)
tree667882b5bf9684df6b612791940381beb41b5db4 /config/chroot_local-hooks/58-create-tails-website-CA-bundle
parent6329e622980dfa1128652f033029208a8641c40b (diff)
Rename the hook that creates the CA bundle for our website to make it more generic.
We'll soon be using the same bundle at least for the security check code too.
Diffstat (limited to 'config/chroot_local-hooks/58-create-tails-website-CA-bundle')
-rwxr-xr-xconfig/chroot_local-hooks/58-create-tails-website-CA-bundle12
1 files changed, 12 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/58-create-tails-website-CA-bundle b/config/chroot_local-hooks/58-create-tails-website-CA-bundle
new file mode 100755
index 0000000..fc55a1e
--- /dev/null
+++ b/config/chroot_local-hooks/58-create-tails-website-CA-bundle
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+echo "Creating Tails Upgrader's CA bundle"
+
+BUNDLE=/usr/local/etc/ssl/certs/tails-iuk.pem
+
+cat /etc/ssl/certs/AddTrust_External_Root.pem \
+ > "$BUNDLE"
+
+chmod a+r "$BUNDLE"